#!/usr/bin/env node
"use strict";function _interopDefault(e){return e&&"object"==typeof e&&"default"in e?e.default:e}var path=_interopDefault(require("path")),child_process=_interopDefault(require("child_process")),fs=_interopDefault(require("fs")),commonjsGlobal="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{},windows=isexe;function checkPathExt(e,n){var t=void 0!==n.pathExt?n.pathExt:process.env.PATHEXT;if(!t)return!0;if(-1!==(t=t.split(";")).indexOf(""))return!0;for(var r=0;r<t.length;r++){var s=t[r].toLowerCase();if(s&&e.substr(-s.length).toLowerCase()===s)return!0}return!1}function checkStat(e,n,t){return!(!e.isSymbolicLink()&&!e.isFile())&&checkPathExt(n,t)}function isexe(e,n,t){fs.stat(e,(function(r,s){t(r,!r&&checkStat(s,e,n))}))}function sync(e,n){return checkStat(fs.statSync(e),e,n)}isexe.sync=sync;var core,mode=isexe$1;function isexe$1(e,n,t){fs.stat(e,(function(e,r){t(e,!e&&checkStat$1(r,n))}))}function sync$1(e,n){return checkStat$1(fs.statSync(e),n)}function checkStat$1(e,n){return e.isFile()&&checkMode(e,n)}function checkMode(e,n){var t=e.mode,r=e.uid,s=e.gid,o=void 0!==n.uid?n.uid:process.getuid&&process.getuid(),c=void 0!==n.gid?n.gid:process.getgid&&process.getgid(),a=parseInt("100",8),i=parseInt("010",8);return t&parseInt("001",8)||t&i&&s===c||t&a&&r===o||t&(a|i)&&0===o}isexe$1.sync=sync$1,core="win32"===process.platform||commonjsGlobal.TESTING_WINDOWS?windows:mode;var isexe_1=isexe$2;function isexe$2(e,n,t){if("function"==typeof n&&(t=n,n={}),!t){if("function"!=typeof Promise)throw new TypeError("callback not provided");return new Promise((function(t,r){isexe$2(e,n||{},(function(e,n){e?r(e):t(n)}))}))}core(e,n||{},(function(e,r){e&&("EACCES"===e.code||n&&n.ignoreErrors)&&(e=null,r=!1),t(e,r)}))}function sync$2(e,n){try{return core.sync(e,n||{})}catch(e){if(n&&n.ignoreErrors||"EACCES"===e.code)return!1;throw e}}isexe$2.sync=sync$2;const isWindows="win32"===process.platform||"cygwin"===process.env.OSTYPE||"msys"===process.env.OSTYPE,COLON=isWindows?";":":",getNotFoundError=e=>Object.assign(new Error(`not found: ${e}`),{code:"ENOENT"}),getPathInfo=(e,n)=>{const t=n.colon||COLON,r=e.match(/\//)||isWindows&&e.match(/\\/)?[""]:[...isWindows?[process.cwd()]:[],...(n.path||process.env.PATH||"").split(t)],s=isWindows?n.pathExt||process.env.PATHEXT||".EXE;.CMD;.BAT;.COM":"",o=isWindows?s.split(t):[""];return isWindows&&-1!==e.indexOf(".")&&""!==o[0]&&o.unshift(""),{pathEnv:r,pathExt:o,pathExtExe:s}},which=(e,n,t)=>{"function"==typeof n&&(t=n,n={}),n||(n={});const{pathEnv:r,pathExt:s,pathExtExe:o}=getPathInfo(e,n),c=[],a=t=>new Promise((s,o)=>{if(t===r.length)return n.all&&c.length?s(c):o(getNotFoundError(e));const a=r[t],p=/^".*"$/.test(a)?a.slice(1,-1):a,l=path.join(p,e),d=!p&&/^\.[\\\/]/.test(e)?e.slice(0,2)+l:l;s(i(d,t,0))}),i=(e,t,r)=>new Promise((p,l)=>{if(r===s.length)return p(a(t+1));const d=s[r];isexe_1(e+d,{pathExt:o},(s,o)=>{if(!s&&o){if(!n.all)return p(e+d);c.push(e+d)}return p(i(e,t,r+1))})});return t?a(0).then(e=>t(null,e),t):a(0)},whichSync=(e,n)=>{n=n||{};const{pathEnv:t,pathExt:r,pathExtExe:s}=getPathInfo(e,n),o=[];for(let c=0;c<t.length;c++){const a=t[c],i=/^".*"$/.test(a)?a.slice(1,-1):a,p=path.join(i,e),l=!i&&/^\.[\\\/]/.test(e)?e.slice(0,2)+p:p;for(let e=0;e<r.length;e++){const t=l+r[e];try{if(isexe_1.sync(t,{pathExt:s})){if(!n.all)return t;o.push(t)}}catch(e){}}}if(n.all&&o.length)return o;if(n.nothrow)return null;throw getNotFoundError(e)};var which_1=which;which.sync=whichSync;const pathKey=(e={})=>{const n=e.env||process.env;return"win32"!==(e.platform||process.platform)?"PATH":Object.keys(n).reverse().find(e=>"PATH"===e.toUpperCase())||"Path"};var pathKey_1=pathKey,default_1=pathKey;pathKey_1.default=default_1;const pathKey$1=pathKey_1();function resolveCommandAttempt(e,n){const t=process.cwd(),r=null!=e.options.cwd,s=r&&void 0!==process.chdir;if(s)try{process.chdir(e.options.cwd)}catch(e){}let o;try{o=which_1.sync(e.command,{path:(e.options.env||process.env)[pathKey$1],pathExt:n?path.delimiter:void 0})}catch(e){}finally{s&&process.chdir(t)}return o&&(o=path.resolve(r?e.options.cwd:"",o)),o}function resolveCommand(e){return resolveCommandAttempt(e)||resolveCommandAttempt(e,!0)}var resolveCommand_1=resolveCommand;const metaCharsRegExp=/([()\][%!^"`<>&|;, *?])/g;function escapeCommand(e){return e=e.replace(metaCharsRegExp,"^$1")}function escapeArgument(e,n){return e=(e=`"${e=(e=(e=`${e}`).replace(/(\\*)"/g,'$1$1\\"')).replace(/(\\*)$/,"$1$1")}"`).replace(metaCharsRegExp,"^$1"),n&&(e=e.replace(metaCharsRegExp,"^$1")),e}var command=escapeCommand,argument=escapeArgument,_escape={command:command,argument:argument},shebangRegex=/^#!(.*)/,shebangCommand=(e="")=>{const n=e.match(shebangRegex);if(!n)return null;const[t,r]=n[0].replace(/#! ?/,"").split(" "),s=t.split("/").pop();return"env"===s?r:r?`${s} ${r}`:s};function readShebang(e){const n=Buffer.alloc(150);let t;try{t=fs.openSync(e,"r"),fs.readSync(t,n,0,150,0),fs.closeSync(t)}catch(e){}return shebangCommand(n.toString())}var readShebang_1=readShebang;const isWin="win32"===process.platform,isExecutableRegExp=/\.(?:com|exe)$/i,isCmdShimRegExp=/node_modules[\\/].bin[\\/][^\\/]+\.cmd$/i;function detectShebang(e){e.file=resolveCommand_1(e);const n=e.file&&readShebang_1(e.file);return n?(e.args.unshift(e.file),e.command=n,resolveCommand_1(e)):e.file}function parseNonShell(e){if(!isWin)return e;const n=detectShebang(e),t=!isExecutableRegExp.test(n);if(e.options.forceShell||t){const t=isCmdShimRegExp.test(n);e.command=path.normalize(e.command),e.command=_escape.command(e.command),e.args=e.args.map(e=>_escape.argument(e,t));const r=[e.command].concat(e.args).join(" ");e.args=["/d","/s","/c",`"${r}"`],e.command=process.env.comspec||"cmd.exe",e.options.windowsVerbatimArguments=!0}return e}function parse(e,n,t){n&&!Array.isArray(n)&&(t=n,n=null);const r={command:e,args:n=n?n.slice(0):[],options:t=Object.assign({},t),file:void 0,original:{command:e,args:n}};return t.shell?r:parseNonShell(r)}var parse_1=parse;const isWin$1="win32"===process.platform;function notFoundError(e,n){return Object.assign(new Error(`${n} ${e.command} ENOENT`),{code:"ENOENT",errno:"ENOENT",syscall:`${n} ${e.command}`,path:e.command,spawnargs:e.args})}function hookChildProcess(e,n){if(!isWin$1)return;const t=e.emit;e.emit=function(r,s){if("exit"===r){const r=verifyENOENT(s,n);if(r)return t.call(e,"error",r)}return t.apply(e,arguments)}}function verifyENOENT(e,n){return isWin$1&&1===e&&!n.file?notFoundError(n.original,"spawn"):null}function verifyENOENTSync(e,n){return isWin$1&&1===e&&!n.file?notFoundError(n.original,"spawnSync"):null}var enoent={hookChildProcess:hookChildProcess,verifyENOENT:verifyENOENT,verifyENOENTSync:verifyENOENTSync,notFoundError:notFoundError};function spawn(e,n,t){const r=parse_1(e,n,t),s=child_process.spawn(r.command,r.args,r.options);return enoent.hookChildProcess(s,r),s}function spawnSync(e,n,t){const r=parse_1(e,n,t),s=child_process.spawnSync(r.command,r.args,r.options);return s.error=s.error||enoent.verifyENOENTSync(s.status,r),s}var crossSpawn=spawn,spawn_1=spawn,sync$3=spawnSync,_parse=parse_1,_enoent=enoent;crossSpawn.spawn=spawn_1,crossSpawn.sync=sync$3,crossSpawn._parse=_parse,crossSpawn._enoent=_enoent;const defaultCommand="dev",commands=new Set(["build","dev"]);let cmd=process.argv[2],args=[];commands.has(cmd)?args=process.argv.slice(3):(cmd="dev",args=process.argv.slice(2));const defaultEnv="dev"===cmd?"development":"production";process.env.NODE_ENV=process.env.NODE_ENV||defaultEnv;const cli=path.join(__dirname,`static-${cmd}.js`),startProcess=()=>{const e=crossSpawn("node",[cli,...args],{stdio:"inherit"});return e.on("close",(e,n)=>{null!==e&&process.exit(e),n&&("SIGKILL"===n&&process.exit(137),process.exit(1)),process.exit(0)}),e.on("error",e=>{process.exit(1)}),e},proc=startProcess(),wrapper=()=>{proc&&proc.kill()};process.on("SIGINT",wrapper),process.on("SIGTERM",wrapper),process.on("exit",wrapper);
